/*
 * @author  xamidev <xamidev@riseup.net>
 * @brief   Stack Smashing Protection feature
 * @license GPL-3.0-only
 */

#include <config.h>
#include <stdint.h>
#include <kernel.h>
#include <stddef.h>

uint64_t __stack_chk_guard = STACK_CHK_GUARD;

void __stack_chk_fail(void)
{
	panic(NULL, "SSP: Stask Smashing Detected!!! (very spicy)");
}